> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/itservices/models/tournament-profiling-api/endpoints.md).

# Endpoints

## Retrieve Tournaments information for the Bookmaker

> Fetches tournament ratings and delay recommendations for a specified combinations of sports, categories and tournaments.

```json
{"openapi":"3.0.1","info":{"title":"Tournament API","version":"2025-11-21T05:57:05Z"},"servers":[{"url":"https://api.insighttechservices.sportradar.com/{basePath}","variables":{"basePath":{"default":"api/tournament"}}}],"security":[{"tournament-api-req-authorizer":[]}],"components":{"securitySchemes":{"tournament-api-req-authorizer":{"type":"apiKey","description":"Bearer authentication header of the form Bearer \\<TOKEN\\>.","name":"Unused","in":"header"}},"schemas":{"TournamentFetchRequest":{"required":["ids"],"type":"object","properties":{"ids":{"type":"array","items":{"required":["categoryId","sportId","tournamentId"],"type":"object","properties":{"categoryId":{"type":"string","enum":["sr:category:1"]},"sportId":{"type":"string","enum":["sr:sport:1"]},"tournamentId":{"type":"string","enum":["sr:tournament:17"]}}}}}},"TournamentResponse":{"required":["items"],"type":"object","properties":{"items":{"type":"array","items":{"required":["tournamentId"],"type":"object","properties":{"liveTimeDelaySettings":{"$ref":"#/components/schemas/TournamentResponseItemsItemLiveTimeDelaySettings"},"liveTr":{"type":"integer"},"prematchTr":{"type":"integer"},"tournamentId":{"type":"string"}}}}}},"TournamentResponseItemsItemLiveTimeDelaySettings":{"type":"object","properties":{"liveTimeDelayTv":{"maximum":10,"minimum":1,"type":"integer"},"liveTimeDelayUmpire":{"maximum":10,"minimum":1,"type":"integer"},"liveTimeDelayVenue":{"maximum":10,"minimum":1,"type":"integer"}}},"ResponseExample":{"required":["items"],"type":"object","properties":{"items":{"type":"array","items":{"required":["tournamentId"],"type":"object","properties":{"liveTimeDelaySettings":{"$ref":"#/components/schemas/ResponseExampleItemsItemLiveTimeDelaySettings"},"liveTr":{"type":"integer","enum":[3]},"prematchTr":{"type":"integer","enum":[3]},"tournamentId":{"type":"string","enum":["sr:simple_tournament:160999"]}}}}}},"ResponseExampleItemsItemLiveTimeDelaySettings":{"type":"object","properties":{"liveTimeDelayTv":{"type":"integer","enum":[8]},"liveTimeDelayUmpire":{"type":"integer","enum":[6]},"liveTimeDelayVenue":{"type":"integer","enum":[6]}}},"Unauthorized":{"title":"Unauthorized","type":"object","properties":{"message":{"type":"string","enum":["Authorization error, please contact support."]}}},"Forbidden":{"title":"Forbidden","type":"object","properties":{"message":{"type":"string","enum":["You do not have permission to access this resource."]}}},"Throttled":{"title":"Throttled","type":"object","properties":{"message":{"type":"string","enum":["Request throttled! Try again later."]}}},"InternalError":{"title":"Internal Server Error","type":"object","properties":{"message":{"type":"string","enum":["Internal server error, please contact support."]}}}}},"paths":{"/v1/bookmakers/{bookmaker}":{"post":{"tags":["Endpoints"],"summary":"Retrieve Tournaments information for the Bookmaker","description":"Fetches tournament ratings and delay recommendations for a specified combinations of sports, categories and tournaments.","operationId":"postTournamentsForBookmaker","parameters":[{"name":"bookmaker","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Request body for fetching tournament data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TournamentFetchRequest"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TournamentResponse"}},"application/example":{"schema":{"$ref":"#/components/schemas/ResponseExample"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"429":{"description":"Throttled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Throttled"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/itservices/models/tournament-profiling-api/endpoints.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
